UQM(6)

NAME
uqm - Ur-Quan Masters

SYNOPSIS
uqm [options]

DESCRIPTION
The Ur-Quan Masters is a 2D inter-galatic adventure game. You return to Earth with a vessel built from technology discovered from an ancient race called the Precursors only to find it enslaved. Gather allies from a wide variety of races, engage in space combat with various foes, and save the galaxy from the Ur-Quan!

OPTIONS
Valid command line options:

-h, --help
    Display a help message.

-r, --res resolution
    Sets the screen resolution. Unless --opengl is set, the only valid values are 640x480 and 320x240.

-f, --fullscreen
    Uses full screen mode. Pretty straightforward. Usually good to combine with -r 320x240.

-o, --opengl
    Use OpenGL drivers. This produces higher-quality graphics, and may be faster as well -- but it also may not work on older cards.

-c, --scale=mode
    Graphics scaling mode (linear, biadapt, biadv, triscan, hq). Default is none. Try these to get smoother graphics with cost on performance.

-b, --meleezoom=mode
    Melee scaling mode (step, aka pc, or smooth, aka 3do). Default is 3do. Slower machine owners can set it to nearest to get better performance in melee but degraded visual quality.

-s, --scanlines
    Simulates interlaced displays.

-p, --fps
    Print fps information in the status window.

-g, --gamma value
    Sets gamma correction. 1.0 causes no change (unless your graphics card is originally set to a different value). Higher than 1.0 makes the image brighter, lower than 1.0 makes it darker.

-C. --configdir directory
    Set the directory where the game will seek its configuration files.

-n, --contentdir directory
    Set the directory where the game will seek its data.

-M, --musicvol volume
    Set music volume (0-100).

-S, --sfxvol volume
    Set sound effects volume (0-100).

-T, --speechvol volume
    Set speech volume (0-100). If set to 0, game runs in 'no speech' mode and oscilloscope reacts to the music.

-q, --audioquality high | medium | low
    Specifies how nice the audio sounds. Slower machines should lower the audio quality.

-u, --nosubtitles
    Disables subtitles.

-l, --logfile file
    Sends console output to a logfile.

--addon addon
    Replace addon by the name of an add-on to enable in the game. May be specified multiple times.

--sound openal | mixsdl | none
    Specifies which driver/mixer to use. Default is mixsdl. openal is only available when it has been compiled in. It may produce higher-quality sound and will probably be faster, but it is not very stable on linux platforms, and may not work well with some sound cards. Use "none" as a last resort if you cannot get other drivers to work, or if you have no soundcard.

--stereosfx
    Enables positional sound effects in melee. Currently works only when using openal.

--nethostN hostname
    Server to connect to for player N (1=bottom, 2=top)

--netportN port
    port to connect to/listen on for player N (1=bottom, 2=top) The default port is 21837.

--netdelay frames
    Number of frames to buffer/delay network input for.

-m, --music 3do | pc
    Controls use of the 3DO remixed soundtrack for songs that were in fact remixed. 3DO is the default.

-i, --intro 3do | pc
    Controls the intro/ending version. 3DO is the default.

--cscan pc | 3do
    Use either PC (text) or 3DO (pictograms) style planet information when scanning. The default is PC.

--menu pc | 3do
    Use either PC style (text and 'CREW'/'BATT') or 3DO (pictograms) in melee. The default is PC.

--font pc | 3do
    Use either PC or 3DO style fonts and colors. The default is PC.

--shield pc | 3do
    Use either PC style (static) or 3DO style (throbbing) slave shield. The default is PC.

--scroll pc | 3do
    Scroll voice-over/subtitles 1 page at a time (PC style) or smoothly (3DO style) when using left/right arrow keys. The default is PC.

AUTHOR
The Ur-Quan Masters was derived from code written by Toys for Bob, Inc. for the 3DO version of 'Star Control II', with their permission and encouragement. See /usr/share/doc/uqm/AUTHORS.gz for a complete list of authors.